diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 26dc09f..5cd298a 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -700,7 +700,7 @@ Manipulation), 28(3) pp3-19 August 1994 CODEN SIGSBZ ISSN 0163-5824
 ``On Computing Limits in a Symbolic Manipulation System''\\
 Thesis, Swiss Federal Institute of Technology Z\"urich 1996
 Diss. ETH No. 11432\\
-\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\verb|www.cybertester.com/data/gruntz.pdf|
 
 \subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
@@ -2029,6 +2029,10 @@ Numerical Algorithms Group, Inc., Downer's
 Grove, IL, USA and Oxford, UK, 1992\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 
+\bibitem[Gruntz 93]{Gru93} Gruntz, Dominik\\
+``Limit computation in computer algebra''\\
+\verb|algo.inria.fr/seminars/sem92-93/gruntz.pdf|
+
 \subsection{H} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Hache 95]{HL95} Hach\'e, G.; Le Brigand, D.\\
@@ -2195,6 +2199,11 @@ Reading, Massachusetts, Addison-Wesley Publishing Company, Inc.,
 Center for the Study of Language and Information
 ISBN 0-937073-81-4 Stanford CA (1992) 
 
+\bibitem[Knu98]{Knu98} Donald Knuth\\
+``The Art of Computer Programming'' Vol. 3
+(Sorting and Searching)
+Addison-Wesley 1998
+
 \bibitem[Kolchin 73]{Kol73} Kolchin, E.R.\\
 ``Differential Algebra and Algebraic Groups''\\
 (Academic Press, 1973).
diff --git a/changelog b/changelog
index ca280d1..f1c3370 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140524 tpd src/axiom-website/patches.html 20140524.01.tpd.patch
+20140524 tpd books/bookvolbib.pamphlet add gruntz, knuth refs
 20140523 tpd src/axiom-website/patches.html 20140523.01.tpd.patch
 20140523 tpd book/*.txt email cleanup
 20140520 tpd src/axiom-website/patches.html 20140520.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ed5004d..b9955b1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4350,6 +4350,8 @@ books/bookvolbib.pamphlet
 src/axiom-website/documentation.html
 <a href="patches/20140523.01.tpd.patch">20140523.01.tpd.patch</a>
 book/*.txt email cleanup
+<a href="patches/20140524.01.tpd.patch">20140524.01.tpd.patch</a>
+books/bookvolbib.pamphlet add gruntz, knuth refs
  </body>
 </html>
 
